*"表題 サイズの取得 GTOOL3(GUQSIZ)
*
*"履歴 90/08/19 沼口  敦
*
*
*********************************************************************
*"         << データサイズの取得 >>
*********************************************************************
      SUBROUTINE GUQSIZ
     I         ( HHEAD ,
     O           IXSTR , IXEND , IXDIM ,
     O           IYSTR , IYEND , IYDIM ,
     O           IZSTR , IZEND , IZDIM  )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      INTEGER    IXSTR , IXEND , IXDIM   !" 軸1の始め 終り 寸法
      INTEGER    IYSTR , IYEND , IYDIM   !" 軸2の始め 終り 寸法
      INTEGER    IZSTR , IZEND , IZDIM   !" 軸3の始め 終り 寸法
*
      CALL GHPGET ( HHEAD , 'ASTR1', IXSTR )
      CALL GHPGET ( HHEAD , 'AEND1', IXEND )
      CALL GHPGET ( HHEAD , 'ASTR2', IYSTR )
      CALL GHPGET ( HHEAD , 'AEND2', IYEND )
      CALL GHPGET ( HHEAD , 'ASTR3', IZSTR )
      CALL GHPGET ( HHEAD , 'AEND3', IZEND )
*
      IXDIM = IXEND - IXSTR + 1
      IYDIM = IYEND - IYSTR + 1
      IZDIM = IZEND - IZSTR + 1
*
      RETURN
      END
*********************************************************************
*"         << 全データサイズの取得 >>
*********************************************************************
      SUBROUTINE GUQTSZ
     I         ( HHEAD ,
     O           ISIZE   )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      INTEGER    ISIZE                   !" 全寸法
*
      CALL       GUQSIZ
     I         ( HHEAD ,
     O           IXSTR , IXEND , IXDIM ,
     O           IYSTR , IYEND , IYDIM ,
     O           IZSTR , IZEND , IZDIM  )
*
      ISIZE = IXDIM*IYDIM*IZDIM
*
      RETURN
      END
